<?php
	include "include/globals.php";
	include "include/mailfunctions.php";

	$mbox = open_mailbox();

	if(isset($_POST["deletefolder"])) {
		// First try to unsubscribe them
		imap_unsubscribe($mbox,imap_utf7_decode(urldecode($_POST["deletefolder"])));

		// delete the folder
		imap_deletemailbox($mbox,imap_utf7_decode(urldecode($_POST["deletefolder"])));
		$_SESSION["currentfolder"] = "";

		// close the window if we just created a folder and update the folder list
		echo("<html><head><script type=\"text/javascript\">\n");
		echo("  opener.parent.folderlist.document.location.href = 'folderlist.php';\n");
		echo("	window.close();\n");
		echo("</script></head><body></body></html>\n");
		exit;
	}

	function CreateFolderList($folderarr, $mbox) {
		$folders = getfolderlist($mbox);

		echo("	<script type=\"text/javascript\">\n");
		echo("		<!--\n");
		echo("		if (document.getElementById) {\n");
		echo("			var foldertree = new WebFXTree('Inside Systems Mail');\n");
		echo("			foldertree.setBehavior('explorer');\n");
		for($i = 0; $i < count($folders); $i++) {
			echo("			var treenode" . $i . " = new WebFXTreeItem('" . addslashes($folders[$i]["name"]) . "');\n");
			if ($folders[$i]["level"] > 1) {
				for ($j = $i; $j >= 0; $j--) {
					if ($folders[$j]["level"] < $folders[$i]["level"]) {
						echo("			treenode" . $j . ".add(treenode" . $i . ");\n");
						break;
					}
				}
			} else {
				echo("			foldertree.add(treenode" . $i . ");\n");
			}
			if ($i == 0) {
				echo("			treenode" . $i . ".action = 'javascript:alert(\'" . addslashes(addslashes(gettext("You cannot delete your Inbox."))) . "\')';\n");
			} else if ($folders[$i]["folder"] != "") {
				echo("			treenode" . $i . ".action = 'javascript:DeleteFolder(\'" . urlencode(addslashes($folders[$i]["folder"])) . "\', \'" . addslashes(addslashes($folders[$i]["name"])) . "\')';\n");
			}
		}
		echo("			document.write(foldertree);\n");
		echo("		}\n");
		echo("		// -->\n");
		echo("	</script>\n");
	}

	PageHeader(1);
?>
<head>
	<title><?php echo(gettext("Delete Folder"));?></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/globals.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/xtree.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/folderlists.css";
	</style>
	<script type="text/JavaScript"> <?php include "xtree/xtree.php"; ?></script>
</head>
<body>
<form id="folderform" method="post" action="deletefolder.php" onsubmit="return CheckData()">
	<div id="headercontainer">
		<div id="headerleftcap">
		</div>
		<div id="headerrightcap">
		</div>
		<div id="headerlabel">
			<?php echo(gettext("Delete Folder"));?>:
			<input type="hidden" id="deletefolder" name="deletefolder" value="none"/>
		</div>
	</div>
	<div id="folders">
		<?php
			$folders = getfolderlist($mbox);
			CreateFolderList($folders, $mbox);
		?>
	</div>
	<div id="submitinput">
		<input type="submit" id="deletefolderbutton" value=" <?php echo(gettext("Delete"));?> " name="deletefolderbutton"/>
	</div>
</form>
</body>
<script type="text/javascript">
	<!--
	function CheckData() {
		if (document.getElementById('deletefolder').value == 'none') {
			alert('<?php echo(addslashes(gettext("You must choose a folder to delete")));?>');
			return false;
		} else {
			return true;
		}
	}
	function DeleteFolder(folderval, deletefoldername) {
		document.getElementById('deletefolder').value = folderval;
		document.getElementById('deletefolderbutton').value = '<?php echo(addslashes(gettext("Delete")));?> \'' + deletefoldername + '\'';
		document.getElementById('headerlabel').firstChild.nodeValue = '<?php echo(addslashes(gettext("Delete Folder")));?>: "' + deletefoldername + '"';
	}
	// -->
</script>
<?php
	// Clear the errors and close the connection
	imap_errors();
	imap_close($mbox);
?>
</html>
